@section = (
	'encoding',
	'appearance',
	'scrollbar',
	'others',
);
$section_attr = {
	encoding => {
		col => 0,
		row => 1,
		title => 'Encoding',
		key => [
			'encoding',
			'iscii_lang',
			'xim',
			'locale',
			'vertical_mode',
			'use_bidi',
			'use_combining',
			'use_multi_column_char',
			'copy_paste_via_ucs',
		],
	},
	appearance => {
		col => 1,
		row => 1,
		title => 'Appearance',
		key => [
			'fontsize',
			'fg_color',
			'bg_color',
			'brightness',
			'fade_ratio',
			'wall_picture',
			'use_variable_column_width',
			'use_anti_alias',
			'use_transbg',
		],
	},
	scrollbar => {
		col => 0,
		row => 1,
		title => 'Scrollbar',
		key => [
			'scrollbar_mode',
			'scrollbar_view_name',
			'sb_fg_color',
			'sb_bg_color',
		],
	},
	others => {
		col => 1,
		row => 1,
		title => 'Others',
		key => [
			'screen_width_ratio',
			'screen_height_ratio',
			'line_space',
			'tabsize',
			'logsize',
			'mod_meta_mode',
			'bel_mode',
		],
	},
};
$key_attr = {
	encoding => {
		type => 'select:upper',
		default => 'auto',
		col => 0,
		title => 'Encoding',
		item => [
			'UTF8',
			'ISO88591',
			'ISO88592',
			'ISO88593',
			'ISO88594',
			'ISO88595',
			'ISO88596',
			'ISO88597',
			'ISO88598',
			'ISO88599',
			'ISO885910',
			'ISO885911',
			'ISO885913',
			'ISO885914',
			'ISO885915',
			'ISO885916',
			'TCVN5712',
			'ISCII',
			'VISCII',
			'KOI8R',
			'KOI8U',
			'EUCJP',
			'EUCJISX0213',
			'SJIS',
			'SJISX0213',
			'ISO2022JP',
			'ISO2022JP2',
			'ISO2022JP3',
			'EUCKR',
			'UHC',
			'JOHAB',
			'ISO2022KR',
			'EUCTW',
			'BIG5',
			'BIG5HKSCS',
			'EUCCN',
			'GBK',
			'GB18030',
			'HZ',
			'ISO2022CN',
		],
	},
	iscii_lang => {
		type => 'select:lower',
		default => 'malayalam',
		col => 0,
		title => 'ISCII lang',
		item => [
			'assamese',
			'bengali',
			'gujarati',
			'hindi',
			'kannada',
			'malayalam',
			'oriya',
			'punjabi',
			'roman',
			'tamil',
			'telugu',
		],
	},
	xim => {
		type => 'text',
		default => '-',
		col => 0,
		title => 'X Input Method',
	},
	locale => {
		type => 'text',
		default => '-',
		col => 0,
		title => 'XIM locale',
	},
	vertical_mode => {
		type => 'radio:lower',
		default => 'none',
		col => 0,
		title => 'Vertical mode',
		item => [
			'none',
			'cjk',
			'mongol',
		],
	},
	use_bidi => {
		type => 'checkbox',
		default => 'true',
		col => 0,
		title => 'Bidi (UTF8 only)',
	},
	use_combining => {
		type => 'checkbox',
		default => 'true',
		col => 1,
		title => 'Combining',
	},
	use_multi_column_char => {
		type => 'checkbox',
		default => 'true',
		col => 0,
		title => 'Process multiple column character',
	},
	copy_paste_via_ucs => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Process received strings via Unicode',
	},
	fontsize => {
		type => 'text:digit',
		default => '16',
		col => 0,
		title => 'Font size',
	},
	fg_color => {
		type => 'select:lower',
		default => 'black',
		col => 0,
		title => 'FG color',
		item => [
			'black',
			'red',
			'green',
			'yellow',
			'blue',
			'magenta',
			'cyan',
			'white',
			'gray',
			'lightgray',
			'pink',
			'brown',
			'priv_fg',
			'priv_bg',
		],
	},
	bg_color => {
		type => 'select:lower',
		default => 'white',
		col => 0,
		title => 'BG color',
		item => [
			'black',
			'red',
			'green',
			'yellow',
			'blue',
			'magenta',
			'cyan',
			'white',
			'gray',
			'lightgray',
			'pink',
			'brown',
			'priv_fg',
			'priv_bg',
		],
	},
	brightness => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Brightness',
	},
	fade_ratio => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Fade ratio',
	},
	wall_picture => {
		type => 'text',
		default => 'none',
		col => 0,
		title => 'Wall picture',
	},
	use_variable_column_width => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Variable column width',
	},
	use_anti_alias => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Anti Alias',
	},
	use_transbg => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Transparent',
	},
	scrollbar_mode => {
		type => 'radio:lower',
		default => 'left',
		col => 0,
		title => 'Position',
		item => [
			'none',
			'left',
			'right',
		],
	},
	scrollbar_view_name => {
		type => 'text',
		default => 'simple',
		col => 0,
		title => 'View',
	},
	sb_fg_color => {
		type => 'select:lower',
		default => 'black',
		col => 0,
		title => 'FG color',
		item => [
			'black',
			'red',
			'green',
			'yellow',
			'blue',
			'magenta',
			'cyan',
			'white',
			'gray',
			'lightgray',
			'pink',
			'brown',
			'priv_fg',
			'priv_bg',
		],
	},
	sb_bg_color => {
		type => 'select:lower',
		default => 'white',
		col => 0,
		title => 'BG color',
		item => [
			'black',
			'red',
			'green',
			'yellow',
			'blue',
			'magenta',
			'cyan',
			'white',
			'gray',
			'lightgray',
			'pink',
			'brown',
			'priv_fg',
			'priv_bg',
		],
	},
	screen_width_ratio => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Width ratio',
	},
	screen_height_ratio => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Height ratio',
	},
	line_space => {
		type => 'text:digit',
		default => '0',
		col => 0,
		title => 'Line space',
	},
	tabsize => {
		type => 'text:digit',
		default => '8',
		col => 0,
		title => 'Tab size',
	},
	logsize => {
		type => 'text:digit',
		default => '128',
		col => 0,
		title => 'Log size',
	},
	mod_meta_mode => {
		type => 'radio:lower',
		default => 'none',
		col => 0,
		title => 'Mod Meta mode',
		item => [
			'none',
			'esc',
			'8bit',
		],
	},
	bel_mode => {
		type => 'radio:lower',
		default => 'sound',
		col => 0,
		title => 'Bel mode',
		item => [
			'none',
			'sound',
			'visual',
		],
	},
};
$item_attr = {
	encoding => {
		'UTF8' => 'UTF-8',
		'ISO88591' => 'ISO-8859-1',
		'ISO88592' => 'ISO-8859-2',
		'ISO88593' => 'ISO-8859-3',
		'ISO88594' => 'ISO-8859-4',
		'ISO88595' => 'ISO-8859-5',
		'ISO88596' => 'ISO-8859-6',
		'ISO88597' => 'ISO-8859-7',
		'ISO88598' => 'ISO-8859-8',
		'ISO88599' => 'ISO-8859-9',
		'ISO885910' => 'ISO-8859-10',
		'ISO885911' => 'ISO-8859-11(TIS-620)',
		'ISO885913' => 'ISO-8859-13',
		'ISO885914' => 'ISO-8859-14',
		'ISO885915' => 'ISO-8859-15',
		'ISO885916' => 'ISO-8859-16',
		'TCVN5712' => 'TCVN5712',
		'ISCII' => 'ISCII',
		'VISCII' => 'VISCII',
		'KOI8R' => 'KOI8-R',
		'KOI8U' => 'KOI8-U',
		'EUCJP' => 'EUC-JP',
		'EUCJISX0213' => 'EUC-JISX0213',
		'SJIS' => 'Shift_JIS',
		'SJISX0213' => 'Shift_JISX0213',
		'ISO2022JP' => 'ISO-2022-JP',
		'ISO2022JP2' => 'ISO-2022-JP-2',
		'ISO2022JP3' => 'ISO-2022-JP-3',
		'EUCKR' => 'EUC-KR',
		'UHC' => 'UHC',
		'JOHAB' => 'JOHAB',
		'ISO2022KR' => 'ISO-2022-KR',
		'EUCTW' => 'EUC-TW',
		'BIG5' => 'BIG5',
		'BIG5HKSCS' => 'BIG5HKSCS',
		'EUCCN' => 'EUC-CN',
		'GBK' => 'GBK',
		'GB18030' => 'GB18030',
		'HZ' => 'HZ',
		'ISO2022CN' => 'ISO-2022-CN',
	},
	iscii_lang => {
		'assamese' => 'Assamese',
		'bengali' => 'Bengali',
		'gujarati' => 'Gujarati',
		'hindi' => 'Hindi',
		'kannada' => 'Kannada',
		'malayalam' => 'Malayalam',
		'oriya' => 'Oriya',
		'punjabi' => 'Punjabi',
		'roman' => 'Roman',
		'tamil' => 'Tamil',
		'telugu' => 'Telugu     ',
	},
	vertical_mode => {
		'none' => 'None',
		'cjk' => 'CJK',
		'mongol' => 'Mongol',
	},
	fg_color => {
		'black' => 'BLACK',
		'red' => 'RED',
		'green' => 'GREEN',
		'yellow' => 'YELLOW',
		'blue' => 'BLUE',
		'magenta' => 'MAGENTA',
		'cyan' => 'CYAN',
		'white' => 'WHITE',
		'gray' => 'GRAY',
		'lightgray' => 'LIGHTGRAY',
		'pink' => 'PINK',
		'brown' => 'BROWN',
		'priv_fg' => 'PRIVATE_FG',
		'priv_bg' => 'PRIVATE_BG',
	},
	bg_color => {
		'black' => 'BLACK',
		'red' => 'RED',
		'green' => 'GREEN',
		'yellow' => 'YELLOW',
		'blue' => 'BLUE',
		'magenta' => 'MAGENTA',
		'cyan' => 'CYAN',
		'white' => 'WHITE',
		'gray' => 'GRAY',
		'lightgray' => 'LIGHTGRAY',
		'pink' => 'PINK',
		'brown' => 'BROWN',
		'priv_fg' => 'PRIVATE_FG',
		'priv_bg' => 'PRIVATE_BG',
	},
	scrollbar_mode => {
		'none' => 'None',
		'left' => 'Left',
		'right' => 'Right',
	},
	sb_fg_color => {
		'black' => 'BLACK',
		'red' => 'RED',
		'green' => 'GREEN',
		'yellow' => 'YELLOW',
		'blue' => 'BLUE',
		'magenta' => 'MAGENTA',
		'cyan' => 'CYAN',
		'white' => 'WHITE',
		'gray' => 'GRAY',
		'lightgray' => 'LIGHTGRAY',
		'pink' => 'PINK',
		'brown' => 'BROWN',
		'priv_fg' => 'PRIVATE_FG',
		'priv_bg' => 'PRIVATE_BG',
	},
	sb_bg_color => {
		'black' => 'BLACK',
		'red' => 'RED',
		'green' => 'GREEN',
		'yellow' => 'YELLOW',
		'blue' => 'BLUE',
		'magenta' => 'MAGENTA',
		'cyan' => 'CYAN',
		'white' => 'WHITE',
		'gray' => 'GRAY',
		'lightgray' => 'LIGHTGRAY',
		'pink' => 'PINK',
		'brown' => 'BROWN',
		'priv_fg' => 'PRIVATE_FG',
		'priv_bg' => 'PRIVATE_BG',
	},
	mod_meta_mode => {
		'none' => 'None',
		'esc' => 'Esc',
		'8bit' => '8bit',
	},
	bel_mode => {
		'none' => 'None',
		'sound' => 'Sound',
		'visual' => 'Visual',
	},
};
